For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Kiwiform API
    • Introduction
    • POSTGet Access Token
    • GETVerify Connection
    • GETList All Published Forms
    • GETFetch Sample Submissions
    • POSTSubscribe to Form Submissions
    • DELUnsubscribe from Form Submissions
LogoLogo

Subscribe to Form Submissions

||View as Markdown|
POST
https://api/api/zapier/hooks/subscribe
POST
/api/zapier/hooks/subscribe
$curl -X POST https://api/api/zapier/hooks/subscribe \
> -H "Content-Type: application/json" \
> -d '{
> "hookUrl": "{{YOUR_TARGET_WEBHOOK_URL}}",
> "form_id": "{{YOUR_FORM_ID}}"
>}'
200Subscribe to Form Submissions_example
1{
2 "id": "hook_123456789"
3}
### **Overview** Registers a new REST Hook. Once subscribed, KiwiForm will push real-time submission data to your `hookUrl` every time the specified form is completed. ### **Request Body (JSON)** | Field | Type | Required | Description | | --- | --- | --- | --- | | `hookUrl` | `string` | **Yes** | The destination URL where POST requests will be sent. | | `form_id` | `string` | **Yes** | The ID of the form you want to monitor. | ### **Example Webhook Payload** ``` json { "id": "res_abc123", "event": "form_submission", "form_id": "form_xyz456", "Email": "[email protected]" } ```
Was this page helpful?
Previous

Fetch Sample Submissions

Next

Unsubscribe from Form Submissions

Built with

Overview

Registers a new REST Hook. Once subscribed, KiwiForm will push real-time submission data to your hookUrl every time the specified form is completed.

Request Body (JSON)

FieldTypeRequiredDescription
hookUrlstringYesThe destination URL where POST requests will be sent.
form_idstringYesThe ID of the form you want to monitor.

Example Webhook Payload

1{
2"id": "res_abc123",
3"event": "form_submission",
4"form_id": "form_xyz456",
5"Email": "[email protected]"
6}

Request

This endpoint expects an object.
hookUrlstringRequired
form_idstringRequired

Response

OK
idstring